%-------------------------------------------------------------------------%
%This program estimates the parameters, and standard deviations presented 
%in table 8 of "Joint Analysis of the Discount Factor and 
%Payoff Parameters in Dynamic Discrete Choice Games," Fabio A. Miessi 
%Sanches, Daniel Silva Junior, Sorawoot Srisuma, and Tatiana Komarova
%-------------------------------------------------------------------------%

%Uncoment the two line bellow if  before_sunkallsunks.mat or/and
%after_sunkallsunks.mat is/are not saved

%sunk_before 
%sunk_after

load results_before.mat

tb=zeros(30,6);

%% Before

%%Before A
load before_sunkallsunks.mat
clear scs_sss2a

scs_prof(:,1)=[];

SC_1_2_SC_2_1=-(scs_prof(:,6)+scs_prof(:,10));
SC_2_3_SC_3_2=-(scs_prof(:,11)+scs_prof(:,15));
SC_3_4_SC_4_3=-(scs_prof(:,16)+scs_prof(:,20));
SC_4_5_SC_5_4=-(scs_prof(:,21)+scs_prof(:,25));

SC_1_3_SC_3_1=-(scs_prof(:,7)+scs_prof(:,14));
SC_2_4_SC_4_2=-(scs_prof(:,12)+scs_prof(:,19));
SC_3_5_SC_5_3=-(scs_prof(:,17)+scs_prof(:,24));

SC_1_4_SC_4_1=-(scs_prof(:,8)+scs_prof(:,18));
SC_2_5_SC_5_2=-(scs_prof(:,13)+scs_prof(:,23));

SC_1_5_SC_5_1=-(scs_prof(:,9)+scs_prof(:,22));

mab=[-scs_prof(:,1:5) SC_1_2_SC_2_1 SC_2_3_SC_3_2 SC_3_4_SC_4_3 SC_4_5_SC_5_4 SC_1_3_SC_3_1 SC_2_4_SC_4_2 SC_3_5_SC_5_3 SC_1_4_SC_4_1 SC_2_5_SC_5_2 SC_1_5_SC_5_1];
mab(2,:)=std(mab(2:end,:));
mab(3:end,:)=[];

tb(1:2:end,1)=mab(1,:);
tb(2:2:end,1)=mab(2,:);

clearvars -except tb s_costs

%%Before B
load results_before.mat
clear scs_prof

scs_sss2a(:,1)=[];

SC_1_2_SC_2_1=-(scs_sss2a(:,6)+scs_sss2a(:,10));
SC_2_3_SC_3_2=-(scs_sss2a(:,11)+scs_sss2a(:,15));
SC_3_4_SC_4_3=-(scs_sss2a(:,16)+scs_sss2a(:,20));
SC_4_5_SC_5_4=-(scs_sss2a(:,21)+scs_sss2a(:,25));

SC_1_3_SC_3_1=-(scs_sss2a(:,7)+scs_sss2a(:,14));
SC_2_4_SC_4_2=-(scs_sss2a(:,12)+scs_sss2a(:,19));
SC_3_5_SC_5_3=-(scs_sss2a(:,17)+scs_sss2a(:,24));

SC_1_4_SC_4_1=-(scs_sss2a(:,8)+scs_sss2a(:,18));
SC_2_5_SC_5_2=-(scs_sss2a(:,13)+scs_sss2a(:,23));

SC_1_5_SC_5_1=-(scs_sss2a(:,9)+scs_sss2a(:,22));

mbb=[-scs_sss2a(:,1:5) SC_1_2_SC_2_1 SC_2_3_SC_3_2 SC_3_4_SC_4_3 SC_4_5_SC_5_4 SC_1_3_SC_3_1 SC_2_4_SC_4_2 SC_3_5_SC_5_3 SC_1_4_SC_4_1 SC_2_5_SC_5_2 SC_1_5_SC_5_1];
mbb(2,:)=std(mbb(2:end,:));
mbb(3:end,:)=[];

tb(1:2:end,2)=mbb(1,:);
tb(2:2:end,2)=mbb(2,:);

tb(1:2:end,3)=s_costs(1,:);
tb(2:2:end,3)=std(s_costs(2:end,:));


%% After

%%After A
clearvars -except  tb
load results_after.mat

load after_sunkallsunks.mat
clear scs_sss2a

scs_prof(:,1)=[];

SC_1_2_SC_2_1=-(scs_prof(:,6)+scs_prof(:,10));
SC_2_3_SC_3_2=-(scs_prof(:,11)+scs_prof(:,15));
SC_3_4_SC_4_3=-(scs_prof(:,16)+scs_prof(:,20));
SC_4_5_SC_5_4=-(scs_prof(:,21)+scs_prof(:,25));

SC_1_3_SC_3_1=-(scs_prof(:,7)+scs_prof(:,14));
SC_2_4_SC_4_2=-(scs_prof(:,12)+scs_prof(:,19));
SC_3_5_SC_5_3=-(scs_prof(:,17)+scs_prof(:,24));

SC_1_4_SC_4_1=-(scs_prof(:,8)+scs_prof(:,18));
SC_2_5_SC_5_2=-(scs_prof(:,13)+scs_prof(:,23));

SC_1_5_SC_5_1=-(scs_prof(:,9)+scs_prof(:,22));

maa=[-scs_prof(:,1:5) SC_1_2_SC_2_1 SC_2_3_SC_3_2 SC_3_4_SC_4_3 SC_4_5_SC_5_4 SC_1_3_SC_3_1 SC_2_4_SC_4_2 SC_3_5_SC_5_3 SC_1_4_SC_4_1 SC_2_5_SC_5_2 SC_1_5_SC_5_1];
maa(2,:)=std(maa(2:end,:));
maa(3:end,:)=[];

tb(1:2:end,4)=maa(1,:);
tb(2:2:end,4)=maa(2,:);


clearvars -except tb s_costs


%%After B
load results_after.mat
clear scs_prof

scs_sss2a(:,1)=[];

SC_1_2_SC_2_1=-(scs_sss2a(:,6)+scs_sss2a(:,10));
SC_2_3_SC_3_2=-(scs_sss2a(:,11)+scs_sss2a(:,15));
SC_3_4_SC_4_3=-(scs_sss2a(:,16)+scs_sss2a(:,20));
SC_4_5_SC_5_4=-(scs_sss2a(:,21)+scs_sss2a(:,25));

SC_1_3_SC_3_1=-(scs_sss2a(:,7)+scs_sss2a(:,14));
SC_2_4_SC_4_2=-(scs_sss2a(:,12)+scs_sss2a(:,19));
SC_3_5_SC_5_3=-(scs_sss2a(:,17)+scs_sss2a(:,24));

SC_1_4_SC_4_1=-(scs_sss2a(:,8)+scs_sss2a(:,18));
SC_2_5_SC_5_2=-(scs_sss2a(:,13)+scs_sss2a(:,23));

SC_1_5_SC_5_1=-(scs_sss2a(:,9)+scs_sss2a(:,22));

mba=[-scs_sss2a(:,1:5) SC_1_2_SC_2_1 SC_2_3_SC_3_2 SC_3_4_SC_4_3 SC_4_5_SC_5_4 SC_1_3_SC_3_1 SC_2_4_SC_4_2 SC_3_5_SC_5_3 SC_1_4_SC_4_1 SC_2_5_SC_5_2 SC_1_5_SC_5_1];
mba(2,:)=std(mba(2:end,:));
mba(3:end,:)=[];

tb(1:2:end,5)=mba(1,:);
tb(2:2:end,5)=mba(2,:);

%Table: Numerical value
tb(1:2:end,6)=s_costs(1,:);
tb(2:2:end,6)=std(s_costs(2:end,:)); % Table 8

%Table: String format

tbn=num2str(round(tb,2));

a1=[(1:5)';(2:5)';(3:5)';(4:5)';5];
a2=[zeros(5,1);(1:4)';(1:3)';(1:2)';1];

a=[num2str(a1) char(zeros(15,3)) num2str(a2) char(zeros(15,4))];
a=[a(1,:);blanks(9);a(2,:);blanks(9);a(3,:);blanks(9);a(4,:);blanks(9);a(5,:);blanks(9);a(6,:);blanks(9);a(7,:);blanks(9);a(8,:);blanks(9);a(9,:);blanks(9);a(10,:);blanks(9);a(11,:);blanks(9);a(12,:);blanks(9);a(13,:);blanks(9);a(14,:);blanks(9);a(15,:);blanks(9)];

tbn=[a  tbn];
tbn=[['ait ait-1 Method A     Method B      N-N     Method A     Method B          N-N'];tbn];

clearvars -except tb tbn 



